org.deidentifier.arx.test

## Enum AbstractTest.TestMetric

- java.lang.Object
- - java.lang.Enum<AbstractTest.TestMetric>
  - - org.deidentifier.arx.test.AbstractTest.TestMetric

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractTest.TestMetric>

Enclosing class:
  AbstractTest

    public static enum AbstractTest.TestMetric
    extends java.lang.Enum<AbstractTest.TestMetric>

Enum for metrics

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DM` Metric
`DMSTAR` Metric
`ENTROPY` Metric
`HEIGHT` Metric
`NMENTROPY` Metric
`PREC` Metric

### Method Summary

All Methods Static Methods Concrete Methods
`static AbstractTest.TestMetric` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractTest.TestMetric[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DMSTAR

    public static final AbstractTest.TestMetric DMSTAR

Metric

#### DM

    public static final AbstractTest.TestMetric DM

Metric

#### HEIGHT

    public static final AbstractTest.TestMetric HEIGHT

Metric

#### PREC

    public static final AbstractTest.TestMetric PREC

Metric

#### ENTROPY

    public static final AbstractTest.TestMetric ENTROPY

Metric

#### NMENTROPY

    public static final AbstractTest.TestMetric NMENTROPY

Metric

### Method Detail

#### values

    public static AbstractTest.TestMetric[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbstractTest.TestMetric c : AbstractTest.TestMetric.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbstractTest.TestMetric valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null